Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.term
Class VariableTerm

    java.lang.Object
      gnu.prolog.term.Term
          gnu.prolog.term.VariableTerm

All Implemented Interfaces:
  Serializable, Cloneable

Direct Known Subclasses:
  ChangeableTerm

    public class VariableTerm

extends Term

Represents Prolog variables such as X or A.

See Also:
  `Term.dereference()`, Serialized Form

Field Summary
`String` | `name` Name of the variable when it was declared Used for display purposes
`Term` | `value` value of variable term

Fields inherited from class gnu.prolog.term.Term
`ATOM, COMPOUND, FLOAT, INTEGER, JAVA_OBJECT, UNKNOWN, VARIABLE`

Constructor Summary
`VariableTerm()` create new unnamed variable term
`VariableTerm(String name)` Create a new named variable term

Method Summary
`Term` | `clone(TermCloneContext context)` clone the object using clone context
`Term` | `dereference()` dereference term.
`int` | `getTermType()` get type of term

Methods inherited from class gnu.prolog.term.Term
`clone, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    public Term value

  value of variable term

### name

    public String name

  Name of the variable when it was declared Used for display purposes

Constructor Detail

### VariableTerm

    public VariableTerm()

  create new unnamed variable term

### VariableTerm

    public VariableTerm(String name)

  Create a new named variable term

  Parameters:
    `name` - the name of the term.
  See Also:
    `name`

Method Detail

### clone

    public Term clone(TermCloneContext context)

  clone the object using clone context

  Specified by:
    `clone` in class `Term`
  Parameters:
    `context` - clone context
  Returns:
    cloned term

### dereference

    public Term dereference()

  dereference term.

  Overrides:
    `dereference` in class `Term`
  Returns:
    dereferenced term

### getTermType

    public int getTermType()

  get type of term

  Overrides:
    `getTermType` in class `Term`
  Returns:
    type of term

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD